Bug 969831 - libsndfile doesn't recognize aarch64 as 64bit
Summary: libsndfile doesn't recognize aarch64 as 64bit
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libsndfile
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Hlavinka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-02 15:29 UTC by Mark Salter
Modified: 2013-06-09 03:30 UTC (History)
3 users (show)

Fixed In Version: libsndfile-1.0.25-7.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-09 03:30:31 UTC
Type: Bug


Attachments (Terms of Use)

Description Mark Salter 2013-06-02 15:29:49 UTC
Description of problem:
aarch64 needs to be added to list of 64bit arches

diff --git a/libsndfile.spec b/libsndfile.spec
index 2a5dcc1..30ffe3d 100644
--- a/libsndfile.spec
+++ b/libsndfile.spec
@@ -81,7 +81,7 @@ cp -pR $RPM_BUILD_ROOT%{_docdir}/libsndfile1-dev/html __docs
 rm -rf $RPM_BUILD_ROOT%{_docdir}/libsndfile1-dev
 
 # fix multilib issues
-%ifarch x86_64 s390x ia64 ppc64 sparc64
+%ifarch x86_64 s390x ia64 ppc64 sparc64 aarch64
 %define wordsize 64
 %else
 %define wordsize 32


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Fedora Update System 2013-06-03 15:49:38 UTC
libsndfile-1.0.25-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libsndfile-1.0.25-7.fc19

Comment 2 Fedora Update System 2013-06-05 02:32:25 UTC
Package libsndfile-1.0.25-7.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libsndfile-1.0.25-7.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10030/libsndfile-1.0.25-7.fc19
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2013-06-09 03:30:31 UTC
libsndfile-1.0.25-7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.